/**************************************************************************
/* A exception wrapper for the DocumentFactoryManager.
/*
/* Copyright (c) 2003-2004 by Bernhard Bablok (mail@bablokb.de)
/*
/* This library is free software; you can redistribute it and/or modify
/* it under the terms of the GNU Lesser General Public License as published
/* by  the Free Software Foundation; either version 2 of the License or
/* (at your option) any later version.
/*
/* This library is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU Lesser General Public License for more details.
/*
/* You should have received a copy of the GNU Lesser General Public License
/* along with this library; see the file COPYING.LESSER.  If not, write to
/* the Free Software Foundation Inc., 59 Temple Place - Suite 330,
/* Boston, MA  02111-1307 USA
/**************************************************************************/

package de.bablokb.luala.lib;

/**
    A exception wrapper for the DocumentFactoryManager.

   @version $Revision: 1.1 $
   @author  $Author: bablokb $
*/

public class FactoryException extends Exception {

  ////////////////////////////////////////////////////////////////////////////

  /**
    Create a new FactoryException.

    @param t The causing throwable
  */

  public FactoryException(Throwable t) {
    super(t);
  }
}
