/**************************************************************************
/* A simple Applet trying to write to /tmp and using showDocument.
/*
/* Copyright (c) 2003-2004 by Bernhard Bablok (mail@bablokb.de)
/*
/* This library is free software; you can redistribute it and/or modify
/* it under the terms of the GNU Lesser General Public License as published
/* by  the Free Software Foundation; either version 2 of the License or
/* (at your option) any later version.
/*
/* This library is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU Lesser General Public License for more details.
/*
/* You should have received a copy of the GNU Lesser General Public License
/* along with this library; see the file COPYING.LESSER.  If not, write to
/* the Free Software Foundation Inc., 59 Temple Place - Suite 330,
/* Boston, MA  02111-1307 USA
/**************************************************************************/

package de.bablokb.luala.prototype;

import java.applet.*;
import java.io.*;
import java.net.*;
import java.awt.*;
import java.awt.event.*;

import org.apache.lucene.search.Hits;

/**
   A simple Applet trying to write to /tmp and using showDocument.

   @version $Revision: 1.3 $
   @author  $Author: bablokb $
*/

public class TestApplet extends Applet {
  
  private static final String 
    DOC_FILE = "/tmp/MapTypes.pdf",
    DOC_URL  = "file://" + DOC_FILE,
    DOC_TARGET = "newFrame";

  private Button iButton;

  public void init() {
//     printDocument();
    try {
      BufferedReader br = new BufferedReader(new FileReader("../TODO"));
      String line=br.readLine();
      System.out.println("line="+line);
      br.close();
    } catch (Exception e) {
      e.printStackTrace();
    }
    iButton = new Button("Test it!");
    iButton.addActionListener(new ActionListener() {
	public void actionPerformed(ActionEvent e) {
	  try {
	    getAppletContext().showDocument(new URL(DOC_URL),DOC_TARGET);
	  } catch (Exception ex) {
	  }
	}
      });
    iButton.setSize(50,50);
    add(iButton);
  }

  private void printDocument() {
    try {
      PrintWriter pw = new PrintWriter(new FileWriter(DOC_FILE));
      pw.println("a test line");
      pw.close();
    } catch (Exception e) {
      e.printStackTrace();
    }
  }
}
